Skip to main content
GET
/
cdn
/
logs_uploader
/
configs
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
logs_uploader_config_list = client.cdn.logs_uploader.configs.list()
print(logs_uploader_config_list)
[
  {
    "id": 1,
    "client_id": 100,
    "created": "2024-01-15T10:30:00Z",
    "updated": "2024-01-15T10:30:00Z",
    "enabled": true,
    "name": "Production Logs",
    "policy": 123,
    "target": 456,
    "for_all_resources": false,
    "resources": [
      1001,
      1002
    ],
    "status": {
      "status": "successful",
      "code": 0,
      "updated": "2024-01-15T10:30:00Z",
      "details": ""
    }
  }
]

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

Search by config name or id.

resource_ids
integer[]

Filter by ids of CDN resources that are assigned to given config.

limit
integer

Maximum number of items to return in the response. Cannot exceed 1000.

Required range: 1 <= x <= 1000
offset
integer

Number of items to skip from the beginning of the list.

Required range: x >= 0

Response

Successful.

id
integer
client_id
integer

Client that owns the config.

created
string<date-time>

Time when the config was created.

updated
string<date-time>

Time when the config was updated.

enabled
boolean

Enables or disables the config.

name
string

Name of the config.

policy
integer

ID of the policy that should be assigned to given config.

target
integer

ID of the target to which logs should be uploaded.

for_all_resources
boolean

If set to true, the config will be applied to all CDN resources. If set to false, the config will be applied to the resources specified in the resources field.

resources
integer[]

List of resource IDs to which the config should be applied.

status
object

Validation status of the logs uploader config.